Loading...
Searching...
No Matches
log_context Struct Reference
Osmocom logging framework

Log context information, passed to filter. More...

`#include <logging.h>`

## Public Member Functions

void *ctx[LOG_MAX_CTX+1] | OSMO_DEPRECATED_OUTSIDE ("Accessing struct log_context members directly is deprecated")

## Detailed Description

Log context information, passed to filter.

## Member Function Documentation

## OSMO_DEPRECATED_OUTSIDE()

void *ctx[LOG_MAX_CTX+1] log_context::OSMO_DEPRECATED_OUTSIDE | ( | "Accessing struct log_context members directly is deprecated" |  | ) |

References LOG_MAX_CTX.

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h